MWAWPictBitmapBW Class Reference

a bitmap of bool to store black-white bitmap More...

`#include <MWAWPictBitmap.hxx>`

Inheritance diagram for MWAWPictBitmapBW:

## Public Member Functions

virtual SubType | getSubType () const
| returns the picture subtype More...
virtual int | cmp (MWAWPict const &a) const
| a virtual function used to obtain a strict order, must be redefined in the subs class More...
virtual bool | valid () const
| returns true if the picture is valid More...
| MWAWPictBitmapBW (Vec2i const &sz)
| the constructor More...
Vec2i const & | size () const
| the picture size More...
int | numRows () const
| the number of rows More...
int | numColumns () const
| the number of columns More...
bool | get (int i, int j) const
| returns a cell content More...
bool const * | getRow (int j) const
| returns the cells content of a row More...
void | set (int i, int j, bool v)
| sets a cell contents More...
void | setRow (int j, bool const *val)
| sets all cell contents of a row More...
void | setRowPacked (int j, unsigned char const *val)
| sets all cell contents of a row given packed m_data More...
void | setColumn (int i, bool const *val)
| sets all cell contents of a column More...
Public Member Functions inherited from MWAWPictBitmap
virtual Type | getType () const
| returns the picture type More...
virtual bool | getBinary (WPXBinaryData &res, std::string &s) const
| returns the final WPXBinary data More...
Public Member Functions inherited from MWAWPict
virtual | ~MWAWPict ()
| virtual destructor More...
Box2f | getBdBox () const
| returns the bdbox of the picture More...
void | setBdBox (Box2f const &box)
| sets the bdbox of the picture More...

## Protected Member Functions

virtual bool | createFileData (WPXBinaryData &result) const
| function which creates the result file More...
Protected Member Functions inherited from MWAWPictBitmap
| MWAWPictBitmap (Vec2i const &sz)
| protected constructor: use check to construct a picture More...
Protected Member Functions inherited from MWAWPict
void | extendBDBox (float val)
| udaptes the bdbox, by extended it by (val-previousVal) More...
| MWAWPict ()
| protected constructor must not be called directly More...
| MWAWPict (MWAWPict const &p)
| protected constructor must not be called directly More...
MWAWPict & | operator= (MWAWPict const &p)
| protected operator= must not be called directly More...

## Protected Attributes

MWAWPictBitmapContainerBool | m_data
| the data More...

## Additional Inherited Members

Public Types inherited from MWAWPictBitmap
enum | SubType { BW, Indexed, Color }
| the picture subtype: blackwhite, indexed, color More...
Public Types inherited from MWAWPict
enum | Type { Basic, PictData, Bitmap, OleContainer, Unknown }
| the different picture types: More...
enum | ReadResult { MWAW_R_BAD =0, MWAW_R_OK, MWAW_R_OK_EMPTY, MWAW_R_MAYBE }
| an enum to defined the result of a parsing use by some picture's classes which can read their data More...
Static Protected Member Functions inherited from MWAWPict
static Box2f | getBdBox (int numPt, Vec2f const *pt)
| computes the minimum and maximum of a list of point More...

## Detailed Description

a bitmap of bool to store black-white bitmap

## Constructor & Destructor Documentation

MWAWPictBitmapBW::MWAWPictBitmapBW | ( | Vec2i const & | sz | ) |

inline

the constructor

## Member Function Documentation

virtual int MWAWPictBitmapBW::cmp | ( | MWAWPict const & | a | ) | const

inline virtual

a virtual function used to obtain a strict order, must be redefined in the subs class

Reimplemented from MWAWPictBitmap.

bool MWAWPictBitmapBW::createFileData | ( | WPXBinaryData & | result | ) | const

protected virtual

function which creates the result file

Implements MWAWPictBitmap.

bool MWAWPictBitmapBW::get | ( | int | i,
|  | int | j
| ) |  | const

inline

returns a cell content

bool const* MWAWPictBitmapBW::getRow | ( | int | j | ) | const

inline

returns the cells content of a row

virtual SubType MWAWPictBitmapBW::getSubType | ( |  | ) | const

inline virtual

returns the picture subtype

Implements MWAWPictBitmap.

int MWAWPictBitmapBW::numColumns | ( |  | ) | const

inline

the number of columns

int MWAWPictBitmapBW::numRows | ( |  | ) | const

inline

the number of rows

void MWAWPictBitmapBW::set | ( | int | i,
|  | int | j,
|  | bool | v
| ) |  |

inline

sets a cell contents

void MWAWPictBitmapBW::setColumn | ( | int | i,
|  | bool const * | val
| ) |  |

inline

sets all cell contents of a column

void MWAWPictBitmapBW::setRow | ( | int | j,
|  | bool const * | val
| ) |  |

inline

sets all cell contents of a row

void MWAWPictBitmapBW::setRowPacked | ( | int | j,
|  | unsigned char const * | val
| ) |  |

inline

sets all cell contents of a row given packed m_data

Vec2i const& MWAWPictBitmapBW::size | ( |  | ) | const

inline

the picture size

virtual bool MWAWPictBitmapBW::valid | ( |  | ) | const

inline virtual

returns true if the picture is valid

Reimplemented from MWAWPictBitmap.

## Member Data Documentation

MWAWPictBitmapContainerBool MWAWPictBitmapBW::m_data

protected

the data

Referenced by cmp(), createFileData(), get(), getRow(), numColumns(), numRows(), set(), setColumn(), setRow(), setRowPacked(), size(), and valid().

The documentation for this class was generated from the following files:

- MWAWPictBitmap.hxx
- MWAWPictBitmap.cxx